# 项目概述
iFileProxy 是一个功能丰富的代理下载系统，支持多种下载方式和用户管理功能。主要用于解决网络访问受限环境下的文件下载需求。

## 核心功能
- 文件下载系统
2. 
    - 离线下载
    - 多线程下载支持
    - 任务队列管理
    - 下载进度跟踪
    - 文件缓存管理
    - 文件处理
    - 流式传输
    - 断点续传
    - 文件哈希校验
    - 自动清理过期缓存
1. 代理功能
    - GitHub 代理
    - 仓库文件直接下载
    - Git 克隆支持
    - 通用流代理
        - HTTP/HTTPS 资源代理
        - 请求头透传
        - 流量控制
2. 用户系统
    - 账户管理
    - 用户注册/登录
    - JWT 身份验证
    - 设备指纹验证
    - 权限控制
        - 多级权限（用户/管理员/超级管理员）
        - 基于角色的访问控制
        - 用户操作日志
3. 安全特性
    - 访问控制
    - IP 访问限制
    - 请求频率限制
    - 黑名单系统
    - 文件大小限制
安全防护
HTTPS 支持
    - CORS 配置
    - 请求验证
1. 管理功能
    - 任务管理
    - 任务创建/删除
    - 任务状态监控
    - 任务优先级调整
    - 任务队列管理
    - 系统管理
    - 用户管理
系统配置
    - 访问统计
    - 系统日志
  
1. 技术特性
    - ASP.NET Core 8.0
    - MySQL 数据库
    - JWT 认证
    - 依赖注入
    - 中间件管道
    - 日志系统
    - 静态文件服务