﻿using iFileProxy.Config;
using iFileProxy.Helpers;
using iFileProxy.Services;
namespace iFileProxy.Handlers
{
    public class CmdArgsHandler
    {
        public static void ParseArgs(string[] args)
        {
            if (args.Length == 0)
                return;
            Dictionary<string, string> helpStrings = [];
            helpStrings.Add("--init-db", "初始化数据库");
            helpStrings.Add("--dev-logger", "启用开发者logger");
            helpStrings.Add("--disable-startup-check", "禁用启动时程序配置自检");
            helpStrings.Add("--url=<Url>", "设置程序app.run() Url 如: http://0.0.0.0:1145");

            if (args.Contains("-h") || args.Contains("--help"))
            {
                Console.WriteLine("命令行参数帮助: ");
                foreach (var hs in helpStrings)
                {
                    Console.WriteLine($"\t{hs.Key}\t{hs.Value}");
                }
                Environment.Exit(0);
            }

            CommandLineArgsHelper cmdlineHelper = new(args);

            if (cmdlineHelper.GetBooleanValue("--init-db"))
            {
                DatabaseGateService databaseGateService = new(AppConfig.GetCurrConfig());
                databaseGateService.TryInitialDB();
            }
        }
    }
}
